#include <InterViews/background.h>
#include <InterViews/bitmap.h>
#include <InterViews/box.h>
#include <InterViews/character.h>
#include <InterViews/session.h>
#include <InterViews/stencil.h>
#include <InterViews/style.h>
#include <InterViews/window.h>
#include <InterViews/Bitmaps/hand.bm>

int main(int argc, char** argv) {
    Session* session = new Session("Himom", argc, argv);
    Style* style = session->style();
    const Font* f = style->font();
    const Color* fg = style->foreground();
    session->run_window(
	new ApplicationWindow(
	    new Background(
		new LRBox(
		    new Stencil(
			new Bitmap(
			    hand_bits, hand_width, hand_height
			),
			fg
		    ),
		    new Stencil(
			new Bitmap(
			    hand_bits, hand_width, hand_height,
			    hand_x_hot, hand_y_hot
			),
			fg
		    ),
		    new Character('g', f, fg),
		    new Character('o', f, fg),
		    new Character('o', f, fg),
		    new Character('d', f, fg),
		    new Character('b', f, fg),
		    new Character('y', f, fg),
		    new Character('e', f, fg)
		),
		style->background()
	    )
	)
    );
}
